function setupWebViewJavascriptBridge(callback) {    
    if (window.WebViewJavascriptBridge) { 
        return callback(WebViewJavascriptBridge); 
    }
    if (window.WVJBCallbacks) { 
        return window.WVJBCallbacks.push(callback); 
    }
    window.WVJBCallbacks = [callback];
    var WVJBIframe = document.createElement('iframe');
    WVJBIframe.style.display = 'none';
    WVJBIframe.src = 'https://__bridge_loaded__';
    document.documentElement.appendChild(WVJBIframe);
    setTimeout(function() { 
        document.documentElement.removeChild(WVJBIframe) ;
    }, 0);
}

/**
 * performMethod 统一调用客户端方法
 *
 * @param      {<type>}    className         The class name
 * @param      {Function}  methodName        The method name
 * @param      {<type>}    parameters        The parameters   String
 * @param      {Function}  responseCallback  The response callback
 */
function performMethod(className, methodName, parameters, responseCallback) {
    setupWebViewJavascriptBridge(function (iOSBridge) {
        iOSBridge.callHandler(methodName, parameters, function(json){
                                responseCallback(json);
                        });
    });
    AndroidBridge.common.log('className='+className+'\nmethodName='+methodName+'\nparameters='+parameters);
    AndroidBridge[className][methodName](parameters, function(json){
            responseCallback(json);
    });
}